/************************************************************************
 *
 * SR/Z3950 application software version 1.0, August 1993.
 *
 * (C) Software Kinetics Ltd.
 *
 * Software Kinetics Ltd. has granted a licence of this software to the
 * National Library of Canada.
 *
 * The National Library of Canada grants to the user a royalty-free
 * non-exclusive licence in perpetuity to use, modify, improve, reproduce
 * and sell the software.
 *
 * The software is provided to the user "as is" without warranty of any
 * kind. Neither Software Kinetics Ltd. nor the National Library of Canada
 * warrants, guarantees or makes any representations regarding the use,
 * or the results of use of the software in terms of accuracy, reliability,
 * or otherwise. The entire risk as to results and performance of the
 * software is assumed by the user. Neither Software Kinetics Ltd. nor the
 * National Library of Canada shall be liable for any direct, indirect,
 * consequential or incidental damages arising out of the use of the
 * software.
 *
 * $Log:
 * Revision 1.1  1993/09/16  09:03:27  irorigin
 * Baseline for Release 1.0.
 *
 ************************************************************************/

#include <ir.h>
#include <ua.h>
#include <resc.h>
#include <resclist.h>
#include <uaep.h>
#include <string.h>

void vsToStr(char *str, VISIBLE_STRING *vs);

SHORT UaArc_AccessControlReq(WINDOW win, UAEP_DIALOG *info)
{
	WINDOW ctlWin;
	CHAR	tmpBuf[200];

	ctlWin = get_ctl_window(win, ARC_ACCESS_CTRL_DISP);
	strcpy(tmpBuf, info->data.rsrcCtl.targetData);
	CS_LOG_PRINTV(IR_FILE, "Access Control request: %s\n",
	    tmpBuf);
	set_title(ctlWin, tmpBuf);

	return(0);
}

SHORT UaArc_AccessControlResp(WINDOW win, UAEP_DIALOG *info)
{
	WINDOW ctlWin;
	CHAR	tmpBuf[200];

	ctlWin = get_ctl_window(win, ARC_ACCESS_CTRL_RESP);

	get_title(ctlWin, tmpBuf, 200);
	strcpy(info->data.rsrcCtl.userReply,tmpBuf); 

	return(0);
	
}
